xdc.loadCapsule('xdc/om2.xs');

var $om = xdc.om;
var __CFG__ = $om.$name == 'cfg';
var __ROV__ = $om.$name == 'rov';
var $$pkgspec = xdc.$$ses.findPkg('ti.sdo.pspdrivers.system.dm648.bios.evmDM648.audio');

/* ======== IMPORTS ======== */

    xdc.loadPackage('ti.sdo.edma3.drv');
    xdc.loadPackage('ti.sdo.pspdrivers.pal_sys.dm648');
    xdc.loadPackage('ti.sdo.pspdrivers.drivers.i2c');
    xdc.loadPackage('ti.sdo.pspdrivers.drivers.mcasp');
    xdc.loadPackage('xdc');
    xdc.loadPackage('xdc.corevers');

/* ======== OBJECTS ======== */

// package ti.sdo.pspdrivers.system.dm648.bios.evmDM648.audio
    var pkg = $om.$$bind('ti.sdo.pspdrivers.system.dm648.bios.evmDM648.audio.Package', $$PObj());
    $om.$$bind('ti.sdo.pspdrivers.system.dm648.bios.evmDM648.audio', $$VObj('ti.sdo.pspdrivers.system.dm648.bios.evmDM648.audio', pkg));
// module Settings
    var po = $om.$$bind('ti.sdo.pspdrivers.system.dm648.bios.evmDM648.audio.Settings.Module', $$PObj());
    var vo = $om.$$bind('ti.sdo.pspdrivers.system.dm648.bios.evmDM648.audio.Settings', $$VObj('ti.sdo.pspdrivers.system.dm648.bios.evmDM648.audio.Settings', po));
    pkg.$$bind('Settings', vo);
    $om.$$bind('ti.sdo.pspdrivers.system.dm648.bios.evmDM648.audio.Settings.Channel', $$PEnm('ti.sdo.pspdrivers.system.dm648.bios.evmDM648.audio.Settings.Channel'));

/* ======== CONSTS ======== */

// module Settings
    $om.$$bind('ti.sdo.pspdrivers.system.dm648.bios.evmDM648.audio.Settings.ONE_TO_ONE', $$Enum($om['ti.sdo.pspdrivers.system.dm648.bios.evmDM648.audio.Settings.Channel'], 'ti.sdo.pspdrivers.system.dm648.bios.evmDM648.audio.Settings.ONE_TO_ONE', 0));
    $om.$$bind('ti.sdo.pspdrivers.system.dm648.bios.evmDM648.audio.Settings.FOUR_TO_ONE', $$Enum($om['ti.sdo.pspdrivers.system.dm648.bios.evmDM648.audio.Settings.Channel'], 'ti.sdo.pspdrivers.system.dm648.bios.evmDM648.audio.Settings.FOUR_TO_ONE', 1));

/* ======== CREATES ======== */

// module Settings

/* ======== FUNCTIONS ======== */


/* ======== SIZES ======== */


/* ======== TYPES ======== */

// module Settings
    var po = $om['ti.sdo.pspdrivers.system.dm648.bios.evmDM648.audio.Settings.Module'].$$init('ti.sdo.pspdrivers.system.dm648.bios.evmDM648.audio.Settings.Module', $$Module);
        po.$$fld('$hostonly', $$T_Num, 1, 'r');
        po.$$fld('channel', $om['ti.sdo.pspdrivers.system.dm648.bios.evmDM648.audio.Settings.Channel'], $om['ti.sdo.pspdrivers.system.dm648.bios.evmDM648.audio.Settings.FOUR_TO_ONE'], 'wh');

/* ======== ROV ======== */

if (__ROV__) {


} // __ROV__

/* ======== SINGLETONS ======== */

// package ti.sdo.pspdrivers.system.dm648.bios.evmDM648.audio
    var po = $om['ti.sdo.pspdrivers.system.dm648.bios.evmDM648.audio.Package'].$$init('ti.sdo.pspdrivers.system.dm648.bios.evmDM648.audio.Package', $om['xdc.IPackage.Module']);
    var cap = $om.$$bind('xdc.IPackage$$capsule', xdc.loadCapsule('ti/sdo/pspdrivers/system/dm648/bios/evmDM648/audio/package.xs'));
        if (cap['init']) po.$$fxn('init', $om['xdc.IPackage$$init'], cap['init']);
        if (cap['close']) po.$$fxn('close', $om['xdc.IPackage$$close'], cap['close']);
        if (cap['validate']) po.$$fxn('validate', $om['xdc.IPackage$$validate'], cap['validate']);
        if (cap['exit']) po.$$fxn('exit', $om['xdc.IPackage$$exit'], cap['exit']);
        if (cap['getLibs']) po.$$fxn('getLibs', $om['xdc.IPackage$$getLibs'], cap['getLibs']);
        if (cap['getSects']) po.$$fxn('getSects', $om['xdc.IPackage$$getSects'], cap['getSects']);
    po.$$bind('$capsule', cap);
    var pkg = $om['ti.sdo.pspdrivers.system.dm648.bios.evmDM648.audio'].$$init(po, 'ti.sdo.pspdrivers.system.dm648.bios.evmDM648.audio', $$DEFAULT, false);
    $om.$packages.$add(pkg);
    pkg.$$bind('$name', 'ti.sdo.pspdrivers.system.dm648.bios.evmDM648.audio');
    pkg.$$bind('$category', 'Package');
    pkg.$$bind('$$qn', 'ti.sdo.pspdrivers.system.dm648.bios.evmDM648.audio.');
    pkg.$$bind('$spec', $$pkgspec);
    pkg.$$bind('$vers', [1, 20, 00]);
    pkg.$attr.$seal('length');
    pkg.$$bind('$imports', [
        ['ti.sdo.edma3.drv', []],
        ['ti.sdo.pspdrivers.pal_sys.dm648', []],
        ['ti.sdo.pspdrivers.drivers.i2c', []],
        ['ti.sdo.pspdrivers.drivers.mcasp', []],
    ]);
    if (pkg.$vers.length >= 3) {
        pkg.$vers.push(Packages.xdc.services.global.Vers.getDate(xdc.csd() + '/..'));
    }
    
    pkg.build.libraries = [
    ];
    
    pkg.build.libDesc = [
    ];
    if ('suffix' in xdc.om['xdc.IPackage$$LibDesc']) {
    }
    
// module Settings
    var vo = $om['ti.sdo.pspdrivers.system.dm648.bios.evmDM648.audio.Settings'];
    var po = $om['ti.sdo.pspdrivers.system.dm648.bios.evmDM648.audio.Settings.Module'];
    vo.$$init(po, 'ti.sdo.pspdrivers.system.dm648.bios.evmDM648.audio.Settings', $$DEFAULT, false);
    vo.$$bind('Module', po);
    vo.$$bind('$category', 'Module');
    vo.$$bind('$spec', xdc.$$ses.findUnit('ti.sdo.pspdrivers.system.dm648.bios.evmDM648.audio.Settings'));
    vo.$$bind('$capsule', undefined);
    vo.$$bind('$package', $om['ti.sdo.pspdrivers.system.dm648.bios.evmDM648.audio']);
    vo.$$bind('$$tdefs', []);
    vo.$$bind('$$proxies', []);
    vo.$$bind('$$mcfgs', []);
    vo.$$bind('Channel', $om['ti.sdo.pspdrivers.system.dm648.bios.evmDM648.audio.Settings.Channel']);
    vo.$$bind('ONE_TO_ONE', $om['ti.sdo.pspdrivers.system.dm648.bios.evmDM648.audio.Settings.ONE_TO_ONE']);
    vo.$$bind('FOUR_TO_ONE', $om['ti.sdo.pspdrivers.system.dm648.bios.evmDM648.audio.Settings.FOUR_TO_ONE']);
    pkg.$modules.$add(vo);
    $om.$modules.$add(vo);
    vo.$$bind('$$instflag', 0);
    vo.$$bind('$$iobjflag', 1);
    vo.$$bind('$$sizeflag', 1);
    vo.$$bind('$$dlgflag', 0);
    vo.$$bind('$$iflag', 0);
    vo.$$bind('$$romcfgs', '|');
    if ('Module_State' in vo) vo.$$bind('$object', new vo.Module_State);
    vo.$$bind('$$meta_iobj', 0 + ('ti.sdo.pspdrivers.system.dm648.bios.evmDM648.audio.Settings$$instance$static$init' in $om));
    vo.$$bind('$$fxntab', []);
    vo.$$bind('$$logEvtCfgs', []);
    vo.$$bind('$$errorDescCfgs', []);
    vo.$$bind('$$assertDescCfgs', []);
    vo.$attr.$seal('length');
    pkg.$$bind('Settings', vo);
    pkg.$unitNames.$add('Settings');

/* ======== INITIALIZATION ======== */

if (__CFG__) {
} // __CFG__
    $om['ti.sdo.pspdrivers.system.dm648.bios.evmDM648.audio.Settings'].module$meta$init();
    pkg.init();
    $om['ti.sdo.pspdrivers.system.dm648.bios.evmDM648.audio.Settings'].$$bless();
