/*
 * List the packages to be included in the bundle. The 'requires'
 * statements must come before the 'package' statement.
 */

requires ti.sdo.pspdrivers.common;

requires ti.sdo.pspdrivers.soc.c6452.dsp;
requires ti.sdo.pspdrivers.soc.c6452;
requires ti.sdo.pspdrivers.soc.dm648.dsp;
requires ti.sdo.pspdrivers.soc.dm648;
requires ti.sdo.pspdrivers.soc.c6424.dsp;
requires ti.sdo.pspdrivers.soc.c6424;
requires ti.sdo.pspdrivers.soc.dm6437.dsp;
requires ti.sdo.pspdrivers.soc.dm6437;

requires ti.sdo.pspdrivers.drivers.i2c;
requires ti.sdo.pspdrivers.drivers.mcasp;
requires ti.sdo.pspdrivers.drivers.spi;
requires ti.sdo.pspdrivers.drivers.tsip;
requires ti.sdo.pspdrivers.drivers.uart;
requires ti.sdo.pspdrivers.drivers.vport;
requires ti.sdo.pspdrivers.drivers.h3a;
requires ti.sdo.pspdrivers.drivers.mcbsp;
requires ti.sdo.pspdrivers.drivers.nand;
requires ti.sdo.pspdrivers.drivers.histogram;
requires ti.sdo.pspdrivers.drivers.vpfe;
requires ti.sdo.pspdrivers.drivers.vpbe;
requires ti.sdo.pspdrivers.drivers.previewer;
requires ti.sdo.pspdrivers.drivers.resizer;

requires ti.sdo.pspdrivers.pal_os;
requires ti.sdo.pspdrivers.pal_os.bios;

requires ti.sdo.pspdrivers.pal_sys.c6452;
requires ti.sdo.pspdrivers.pal_sys.dm648;
requires ti.sdo.pspdrivers.pal_sys.c6424;
requires ti.sdo.pspdrivers.pal_sys.dm6437;

requires ti.sdo.pspdrivers.pal_sys.pci;
requires ti.sdo.pspdrivers.pal_sys.vlynq;

requires ti.sdo.pspdrivers.system.dm648.bios.evmDM648.i2c;
requires ti.sdo.pspdrivers.system.dm648.bios.evmDM648.spi;
requires ti.sdo.pspdrivers.system.dm648.bios.evmDM648.pci;
requires ti.sdo.pspdrivers.system.dm648.bios.evmDM648.vlynq;
requires ti.sdo.pspdrivers.system.dm648.bios.evmDM648.uart;
requires ti.sdo.pspdrivers.system.dm648.bios.evmDM648.audio;
requires ti.sdo.pspdrivers.system.dm648.bios.evmDM648.audio.sample;
requires ti.sdo.pspdrivers.system.dm648.bios.evmDM648.tests;
requires ti.sdo.pspdrivers.system.dm648.bios.evmDM648.video;
requires ti.sdo.pspdrivers.system.dm648.bios.evmDM648.video.sample;

requires ti.sdo.pspdrivers.system.c6452.bios.evm6452.i2c;
requires ti.sdo.pspdrivers.system.c6452.bios.evm6452.tsip;
requires ti.sdo.pspdrivers.system.c6452.bios.evm6452.spi;
requires ti.sdo.pspdrivers.system.c6452.bios.evm6452.pci;
requires ti.sdo.pspdrivers.system.c6452.bios.evm6452.vlynq;
requires ti.sdo.pspdrivers.system.c6452.bios.evm6452.uart;
requires ti.sdo.pspdrivers.system.c6452.bios.evm6452.audio;
requires ti.sdo.pspdrivers.system.c6452.bios.evm6452.audio.sample;
requires ti.sdo.pspdrivers.system.c6452.bios.evm6452.tests;

requires ti.sdo.pspdrivers.system.dm6437.bios.evmDM6437.i2c;
requires ti.sdo.pspdrivers.system.dm6437.bios.evmDM6437.uart;
requires ti.sdo.pspdrivers.system.dm6437.bios.evmDM6437.pci;
requires ti.sdo.pspdrivers.system.dm6437.bios.evmDM6437.vlynq;
requires ti.sdo.pspdrivers.system.dm6437.bios.evmDM6437.nand;
requires ti.sdo.pspdrivers.system.dm6437.bios.evmDM6437.tests;
requires ti.sdo.pspdrivers.system.dm6437.bios.evmDM6437.audio;
requires ti.sdo.pspdrivers.system.dm6437.bios.evmDM6437.audio.sample;
requires ti.sdo.pspdrivers.system.dm6437.bios.evmDM6437.video;
requires ti.sdo.pspdrivers.system.dm6437.bios.evmDM6437.video.sample;

requires ti.sdo.pspdrivers.system.c6424.bios.evm6424.i2c;
requires ti.sdo.pspdrivers.system.c6424.bios.evm6424.uart;
requires ti.sdo.pspdrivers.system.c6424.bios.evm6424.pci;
requires ti.sdo.pspdrivers.system.c6424.bios.evm6424.vlynq;
requires ti.sdo.pspdrivers.system.c6424.bios.evm6424.tests;
requires ti.sdo.pspdrivers.system.c6424.bios.evm6424.nand;
requires ti.sdo.pspdrivers.system.c6424.bios.evm6424.audio;
requires ti.sdo.pspdrivers.system.c6424.bios.evm6424.audio.sample;

/*!
 *  ======== pspdrivers_1_10_03 ========
 */
package pspdrivers_1_10_03 [1, 20, 00] {
}

