/*
 * ======== package.xs ========
 *
 */

/*
 * ======== getLibs ========
 */
function getLibs(prog)
{
    print ("Inside TSIP getLibs");

    /* Prepare variables to form the library path within this package */
    var name = "tsip_bios_drv.lib";
    var name_i = "tsip_bios_drv_i.lib";
    var lib = "lib/c6452/";

    /* check the build profile to get the library to return */
    switch (this.profile) {
    case 'debug':
        /* enable debug build for debug profile only */
        lib = lib + "Debug/" + name;
        break;

    case 'idebug':
        /* enable debug build for debug profile only */
        lib = lib + "Debug/" + name_i;
        break;

    case 'irelease':
        /* enable irelease build for irelease profile only */
        lib = lib + "Release/" + name_i;
        break;

    default:
        /* release profile for everything else */
        lib = lib + "Release/" + name;
    }

    print("    will link with " + this.$name + ":" + lib);

    /* return the library name */
    return (lib);
}

