/*!
 * Global configuration settings for this package.
 *
 */
metaonly module Settings {
    /*!
     * Available channel specific options.
     *
     * This enum declares the available values of the channel specific
     * configuration parameter.
     */
    enum Channel {
        ONE_TO_ONE,             //! ONE_TO_ONE
        FOUR_TO_ONE            //! FOUR_TO_ONE
    };

    /*!
     * Select the channel type, with a default of FOUR_TO_ONE.
     *
     */
    config Channel channel = FOUR_TO_ONE;
}
