/*******************************************************************************
**+--------------------------------------------------------------------------+**
**|                            ****                                          |**
**|                            ****                                          |**
**|                            ******o***                                    |**
**|                      ********_///_****                                   |**
**|                      ***** /_//_/ ****                                   |**
**|                       ** ** (__/ ****                                    |**
**|                           *********                                      |**
**|                            ****                                          |**
**|                            ***                                           |**
**|                                                                          |**
**|         Copyright (c) 1998-2007 Texas Instruments Incorporated           |**
**|                        ALL RIGHTS RESERVED                               |**
**|                                                                          |**
**| Permission is hereby granted to licensees of Texas Instruments           |**
**| Incorporated (TI) products to use this computer program for the sole     |**
**| purpose of implementing a licensee product based on TI products.         |**
**| No other rights to reproduce, use, or disseminate this computer          |**
**| program, whether in part or in whole, are granted.                       |**
**|                                                                          |**
**| TI makes no representation or warranties with respect to the             |**
**| performance of this computer program, and specifically disclaims         |**
**| any responsibility for any damages, special or consequential,            |**
**| connected with the use of this program.                                  |**
**|                                                                          |**
**+--------------------------------------------------------------------------+**
*******************************************************************************/

/**
 *  \file    edcEncoder.h
 *
 *  This file exports edc encoder function table to application
 */

#ifndef _ECDENCODER_H
#define _ECDENCODER_H


/*
 * ========== INCLUDE FILES ==============
 */
#include <ti/sdo/pspdrivers/drivers/vport/edc.h>

#ifdef __cplusplus
extern "C" {
#endif

/*
 * ========== EXTERNS ===========
 */
/* Encoder (THS8200 + SAA7105) driver function table */
extern EDC_Fxns edcEncoder_Fxns;

#ifdef __cplusplus
}
#endif

#endif  /* #ifndef _ECDENCODER_H */

/******************************************************************************/
/* End of file                                                                */
/******************************************************************************/
