/*
 *  Copyright 2006 by Texas Instruments Incorporated.
 *  All rights reserved. Property of Texas Instruments Incorporated.
 *  Restricted rights to use, duplicate or disclose this code are
 *  granted through contract.
 *
 *  @(#) TCP/IP_Network_Developers_Kit 1.92.00.13 11-17-2006 (ndk-b13)
 */
/*
 *  ======== llled.c ========
 *
 */

/**
 *--------------------------------------------------------------------------
 * IP Stack
 *--------------------------------------------------------------------------
 * llled.c
 *
 * Interface to User LED for EVMDM6437
 *
 *-------------------------------------------------------------------------
 */
#include <stkmain.h>
#include "evmdm6437_led.h"

void _llUserLedInit() 
{
    EVMDM6437_LED_init();
}

void _llUserLedShutdown() {}

void LED_ON(UINT32 ledId) 
{
    EVMDM6437_LED_on(ledId);
}

void LED_OFF(UINT32 ledId) 
{
    EVMDM6437_LED_off(ledId);
}

void LED_TOGGLE(UINT32 ledId) 
{
    EVMDM6437_LED_toggle(ledId);
}

